Skip to navigation

Create Batch

Authentication

X-Secret-Keystring

A secret API key (sk_...) for server-to-server calls. The entity is derived from the key.

Request

This endpoint expects an object.
extension_idstringRequired
leadslist of objectsRequired
namestringRequired1-255 characters
scheduled_datedatetimeRequired
fetch_limitintegerOptional>=1Defaults to 20
is_draftbooleanOptionalDefaults to false

Create the batch as a DRAFT (not dialed) until it is published via POST /batches/{id}/publish.

max_attempts_per_leadintegerOptional>=1Defaults to 3
webhookobject or nullOptional

Response

Successful Response

Errors

422
Unprocessable Entity Error